package cn.axzo.msg.center.domain.enums;

/**
 * 枚举抽象类
 *
 * @author zhaoyong_sh
 * @see EnumBase
 * @since 2021-03-29 18:15
 */
public interface EnumBase<T> {

    /**
     * 枚举 code
     * @return
     */
    T getCode();

    /**
     * 枚举描述信息
     * @return
     */
    String getMessage();

}
